giovedì 20 febbraio 2020

MobSF sequenza di installazione

Dopo vari tentativi leggendo la guida qui questa è la sequenza corretta per l'installazione di MobSF su di un Ubuntu o Kali-Linux (attenzione che ad oggi va bene solamente Python 3.6 - 3.7 come da guida qui).
Dopo aver scaricato da qui su di un folder a piacere.
Tutto da terminale:
sudo apt-get install git
sudo apt update
sudo apt-get install python3.6
sudo apt-get install python3-pip
#eventuale jdk se non installata che normalmente si ha la 11:
sudo apt-get install openjdk-8-jdk
sudo apt install python3-venv python3-pip python3-dev build-essential libffi-dev libssl-dev libxml2-dev libxslt1-dev libjpeg8-dev zlib1g-dev wkhtmltopdf
#io ho installato solamente: sudo apt install python3-venv build-essential libssl-dev libxml2-dev libxslt1-dev zlib1g-dev wkhtmltopdf
sudo apt-get install lib32stdc++6
sudo apt-get install android-tools-adb
git clone https://github.com/MobSF/Mobile-Security-Framework-MobSF.git
#si va sulla directory con:
cd Mobile-Security-Framework-MobSF
#si installa con:
./setup.sh

#se si è sulla macchina virtuale allora aggiungere l'utente con:
sudo adduser $USER vboxsf

#se si hanno problemi con la versione python 3.6 che non si riesce ad installare allora utilizzare conda:
Qui la guida: https://docs.conda.io/en/latest/miniconda.html
bash Miniconda3-latest-Linux-x86_64.sh
chiudere e riaprire il terminale
#per testare se funziona
conda list
#digitare:
conda install python=3.6.9
#adesso tutti e due python devono avere 3.6.9
riavviare la macchina
python --version
python3 --version
#da terminale sulla directory di MobSF e farlo partire:
./run.sh
navigare su http://localhost:8000/
#per lo stop
ctrl+c

Nessun commento:

Posta un commento